//
//      uncia - a big cat
//      Copyright (C) 2008 Peter Miller
//
//      This program is free software; you can redistribute it and/or
//      modify it under the terms of the GNU General Public License,
//      version 3, as published by the Free Software Foundation.
//
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//
//      You should have received a copy of the GNU General Public License
//      along with this program. If not, see
//      <http://www.gnu.org/licenses/>.
//

#include <string>

#include <libuncia/input/null.h>


libuncia::input_null::~input_null()
{
}


libuncia::input_null::input_null()
{
}


libuncia::input_null::pointer
libuncia::input_null::create()
{
    return pointer(new input_null());
}


ssize_t
libuncia::input_null::read(void *, size_t)
{
    return 0;
}


std::string
libuncia::input_null::filename_get()
    const
{
    return "/dev/null";
}
