//
// uncia - a big cat
// Copyright (C) 2008 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#ifndef LIBUNCIA_ZLIB_GLUE_H
#define LIBUNCIA_ZLIB_GLUE_H

#include <libuncia/config.h>

#if HAVE_ZLIB_H
#include <zlib.h>
#else
#error "You must have zlib installed in order to build Uncia."
#endif

// there is ERR_MSG in zutil.h, but we aren't allowed to see it.
const char *z_error(int);

#ifndef DEF_MEM_LEVEL
#define DEF_MEM_LEVEL 8 // in zutil.h, but we aren't allowed to see it.
#endif

#endif // LIBUNCIA_ZLIB_GLUE_H
