//
//      uncia - a big cat
//      Copyright (C) 2008 Peter Miller
//
//      This program is free software; you can redistribute it and/or
//      modify it under the terms of the GNU General Public License,
//      version 3, as published by the Free Software Foundation.
//
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//
//      You should have received a copy of the GNU General Public License
//      along with this program. If not, see
//      <http://www.gnu.org/licenses/>.
//

#ifndef UNCIA_GRAM_H
#define UNCIA_GRAM_H

/**
  * The parse_command_line function is called by main to parse the
  * command line and act on it.  This boils down to figuring out the
  * input, figuring out the output, and copying the input to the output.
  *
  * @param argv
  *     the number of command line arguments passed to main
  * @param argv
  *     the command line arguments passed to main
  */
void parse_command_line(int argc, char **argv);

#endif // UNCIA_GRAM_H
