//
//      uncia - a big cat
//      Copyright (C) 2008 Peter Miller
//
//      This program is free software; you can redistribute it and/or
//      modify it under the terms of the GNU General Public License,
//      version 3, as published by the Free Software Foundation.
//
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//
//      You should have received a copy of the GNU General Public License
//      along with this program. If not, see
//      <http://www.gnu.org/licenses/>.
//

#include <string>

#include <libuncia/output/null.h>


libuncia::output_null::~output_null()
{
}


libuncia::output_null::output_null()
{
}


libuncia::output_null::pointer
libuncia::output_null::create()
{
    return pointer(new output_null());
}


ssize_t
libuncia::output_null::write(const void *, size_t size)
{
    return size;
}


int
libuncia::output_null::sync()
{
    return 0;
}


std::string
libuncia::output_null::filename_get()
    const
{
    return "/dev/null";
}
