//
//      uncia - a big cat
//      Copyright (C) 2008 Peter Miller
//
//      This program is free software; you can redistribute it and/or
//      modify it under the terms of the GNU General Public License,
//      version 3, as published by the Free Software Foundation.
//
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//
//      You should have received a copy of the GNU General Public License
//      along with this program. If not, see
//      <http://www.gnu.org/licenses/>.
//

#ifndef LIBUNCIA_PROGNAME_H
#define LIBUNCIA_PROGNAME_H

namespace libuncia
{
    /**
      * The progname_set function is used by main() to set the name of the
      * currently executing programme.
      */
    void progname_set(const char *);

    /**
      * The progname_get function is used to retrieve the name of the
      * currently executing programme.  Used by error messages.
      */
    const char *progname_get();
}

#endif // LIBUNCIA_PROGNAME_H
