//
// uncia - a big cat
// Copyright (C) 2008 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <libuncia/version.h>
#include <libuncia/patchlevel.h>

//
// See the comment attached to the symlink_exceptions field of the
// project config file for how the version stamp is maintained
// separarely for each development directory and integration directory.
//

const char *
libuncia::version(void)
{
    return PATCHLEVEL;
}


const char *
libuncia::copyright_years(void)
{
    return COPYRIGHT_YEARS;
}


const char *
libuncia::copyright_owner(void)
{
    return COPYRIGHT_OWNER;
}
